package bean;

/**
 * @Description
 * @Author koe
 * @Data 2022/6/15 15:35
 */

public class Ingredient {
    private String ingreName;
    private Integer ingreId;
    private String ingreAdd;
    private String ingreAttr;
    private String ingrePut;
    private Double ingrePrice;

    public Ingredient() {
    }

    public Ingredient(String ingreName, Integer ingreId, String ingreAdd,
                      String ingreAttr, String ingrePut, Double ingrePrice) {
        this.ingreName = ingreName;
        this.ingreId = ingreId;
        this.ingreAdd = ingreAdd;
        this.ingreAttr = ingreAttr;
        this.ingrePut = ingrePut;
        this.ingrePrice = ingrePrice;
    }

    public String getIngreName() {
        return ingreName;
    }

    public void setIngreName(String ingreName) {
        this.ingreName = ingreName;
    }

    public Integer getIngreId() {
        return ingreId;
    }

    public void setIngreId(Integer ingreId) {
        this.ingreId = ingreId;
    }

    public String getIngreAdd() {
        return ingreAdd;
    }

    public void setIngreAdd(String ingreAdd) {
        this.ingreAdd = ingreAdd;
    }

    public String getIngreAttr() {
        return ingreAttr;
    }

    public void setIngreAttr(String ingreAttr) {
        this.ingreAttr = ingreAttr;
    }

    public String getIngrePut() {
        return ingrePut;
    }

    public void setIngrePut(String ingrePut) {
        this.ingrePut = ingrePut;
    }

    public Double getIngrePrice() {
        return ingrePrice;
    }

    public void setIngrePrice(Double ingrePrice) {
        this.ingrePrice = ingrePrice;
    }

    @Override
    public String toString() {
        return "Ingredient{" +
                "ingreName='" + ingreName + '\'' +
                ", ingreId=" + ingreId +
                ", ingreAdd='" + ingreAdd + '\'' +
                ", ingreAttr='" + ingreAttr + '\'' +
                ", ingrePut='" + ingrePut + '\'' +
                ", ingrePrice=" + ingrePrice +
                '}';
    }
}
